/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 15:18:02.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.common;

/**
 * 系统常量
 *
 * @author: QMTH
 * @since: 2018/10/17
 */
public interface Constants {

    /**
     * 操作成功
     */
    String SYS_CODE_200 = "PRT-000200";

    /**
     * 系统错误
     */
    String SYS_CODE_500 = "PRT-000500";

    /**
     * 参数错误
     */
    String SYS_CODE_400 = "PRT-000400";

    /**
     * 权限错误
     */
    String SYS_CODE_403 = "PRT-000403";

    /* 导出文件默认名称 */
    String PAPER_PDF_NAME = "试卷.pdf";
    String ANSWER_PDF_NAME = "答案.pdf";
    String STRUCT_ZIP_NAME = "试卷结构.zip";
    String OBJECTIVE_EXCEL_NAME = "客观题.xlsx";
    String SUBJECTIVE_EXCEL_NAME = "主观题.xlsx";
    String OBJECTIVE_TITLE = "客观题数据";
    String SUBJECTIVE_TITLE = "主观题数据";

    String SUFFIX_ZIP = ".zip";
    String SUFFIX_PDF = ".pdf";
    String SUFFIX_EXCEL = ".xlsx";

    static String rootFileDir() {
        return Constants.class.getClassLoader().getResource("").getPath() + "files";
    }

}